rustc-1.80 (1.80.1+dfsg0ubuntu1-0ubuntu0.24.04.01) noble; urgency=medium

  * d/p/upstream/u-tar-cve-2026-33056: fix vulnerability (LP: #2145764)

 -- Petrichor Park <petrichor.park@canonical.com>  Tue, 24 Mar 2026 10:51:36 -0500

rustc-1.80 (1.80.1+dfsg0ubuntu1-0ubuntu0.24.04) noble; urgency=medium

  * Backport to Noble (LP: #2076206)

 -- Zixing Liu <zixing.liu@canonical.com>  Tue, 20 Aug 2024 00:45:12 -0600

rustc-1.80 (1.80.1+dfsg0ubuntu1-0ubuntu1) oracular; urgency=medium

  * New upstream release 1.80.1 (LP: #2076206)
    - d/patches: refresh patches
    - d/copyright: update the list of unused vendored dependencies
    - d/copyright: delete src/tools/rustc-perf we don't need this upstream
      benchmarking facility (not used anywhere)
    - d/control: re-generate files for rustc-1.80
    - d/p/series: remove opener-cherry-pick-fix-to-avoid-vendored-dbus.patch
  * d/p/upstream/u-add-missing-f16-intrinsics.patch,
    d/p/upstream/u-add-f16-f128-handling-in-a-couple-places.patch,
    d/p/upstream/u-limit-f16-doctests-to-x86.patch,
    d/p/upstream/u-disable-f16-f128-on-unsupported-platforms.patch:
    backported patches from upstream to fix compiler crash from LLVM
    mishandling f16 lowering on some platforms
  * d/p/ubuntu/ubuntu-fix-f16-fallback-intrinsics.patch: add a patch to fix
    LLVM misoptimizations

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 08 Aug 2024 08:56:51 -0600

rustc-1.79 (1.79.0+dfsg1ubuntu1-0ubuntu1) oracular; urgency=medium

  [ Zixing Liu ]
  * New upstream release 1.79.0 (LP: #2076205)
  * d/p/ubuntu/ubuntu-add-s390x-allowed-features.patch: backport the patch
  * d/p/ubuntu/ubuntu-disable-ppc64el-asm-tests.patch: refresh the patch
  * d/p/prune/d-0021-vendor-remove-windows-dependencies.patch: refresh the patch
  * d/copyright: update the list of unused Rust dependencies
  * d/control.in: update vendored dependency list
  * d/p/build/d-bootstrap-disable-git.patch: fix the patch so that version
    information is still included correctly when building under
    Debian or Ubuntu
  * d/p/prune/d-0020-remove-windows-dependencies.patch: refresh the patch
  * d/p/prune/d-0021-vendor-remove-windows-dependencies.patch: refresh
    the patch
  * d/source/lintian-overrides.in: add another ignore pattern for rustdoc tests
  * d/copyright: remove unused globs

  [ Fabian Grünbichler ]
  * d/copyright: adapt to vendor/ version suffix
  * early-stage update of patches for 1.79.0
  * d/copyright: also exclude vendored libdbus
  * update Files-Excluded for 1.79.0
  * upstream unsuspicious: adapt to new vendor suffix
  * update upstream unsuspicious for 1.79
  * d/update-version.sh: adapt to wasi-libc/sdk changes
  * d/rules: fix for suffixed vendored crates
  * config: adapt to new change tracking mechanism
  * cargo wrapper: switch to config.toml
  * cargo wrapper: ensure debug symbols are not stripped
  * add missing rustfmt dependency (Closes: #1074290)
  * build: remove more cache files (Closes: #1074373)

  [ Samuel Thibault ]
  * Avoid hurd-stuck test

 -- Zixing Liu <zixing.liu@canonical.com>  Mon, 29 Jul 2024 03:04:07 -0600

rustc-1.78 (1.78.0+dfsg1ubuntu1-0ubuntu1) oracular; urgency=medium

  * New upstream release 1.78.0 (LP: #2075108)
    - d/control{,.in}: rename to rust-1.78 and re-generate
    - d/p/ubuntu/ubuntu-use-system-profiler-rt.patch: remove the patch as 
      we will use the upstream mechanism to specify the LLVM clang-rt
      instead of patching in a hardcoded one
    - d/p/ubuntu/ubuntu-add-s390x-allowed-features.patch: refresh the patch
    - d/copyright: remove unused vendored dependencies
    - d/copyright: update copyright data for vendored dependencies
    - d/p/ubuntu/ubuntu-vendor-no-workspace.patch: refresh patch
    - d/p/ubuntu/ubuntu-use-system-compiler-during-tests.patch: refresh the patch
    - d/s/lintian-overrides: re-generate for Rust 1.78
    - d/*: upgrade to LLVM 18.1
    - d/rules: adapt to changed docs install path
  * d/rules: add forced version check logic so that it will be difficult to
    screw up the version numbers when upgrading the package
  * d/rules: workaround path lookup issues with LLVM profiler runtime
  * d/rules: use upstream mechanism to specify LLVM clang-rt files
  * d/patches: synchronize patches from Debian
  * d/watch: get release information from GitHub but still download tarballs
    from Rust Forge
  * d/libstd-rust-1.76.lintian-overrides: remove auto-generated files
  * d/{rule,config.toml.in,README.source}: rename RUST_DESTDIR to RUST_BOOTSTRAP_DIR

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 25 Jul 2024 08:46:38 -0600

rustc-1.77 (1.77.2+dfsg1ubuntu1-0ubuntu1) oracular; urgency=medium

  [ Zixing Liu ]

  * New upstream release 1.77.2 (LP: #2070410)
    - d/patches: Refresh patches
    - d/copyright: update the list of unused crates
    - d/copyright: update copyright data
    - d/libstd-rust-*: bump version to 1.77
    - d/patches: remove obsoleted patches   
    - d/s/lintian-overrides*: update lintian overrides
    - d/control: update vendored crate list
  * d/p/ubuntu-add-s390x-allowed-features.patch: fix s390x build with backchain
  * d/tests: fix self-build tests when rust-defaults package does not point to
    the current versioned package
  * d/control: Build-Depends solely on versioned packages

  [ Fabian Grünbichler ]

  * config: don't attempt to optimize compiler-rt
  * update upstream unsuspicious files

 -- Zixing Liu <zixing.liu@canonical.com>  Mon, 08 Jul 2024 23:49:29 -0600

rustc-1.76 (1.76.0+dfsg0ubuntu1-0ubuntu1) oracular; urgency=medium

  * New upstream release 1.76.0 (LP: #2052985)
    - d/patches: Refresh patches
    - d/copyright: update the list of unused crates
    - d/copyright: update copyright data
    - d/libstd-rust-*: bump version to 1.76
    - d/patches: remove obsoleted patches
    - d/s/lintian-overrides: update lintian overrides
    - d/control: update vendored crate list
    - d/p/ubuntu-upgrade-cc-to-1.0.85.patch: backport cc 1.0.85
    - d/p/d-0022-rust-by-example-strip-embedded-libs.patch: strip embedded
      CSS and JS libraries
    - d/p/d-bootstrap-cargo-doc-paths.patch: remove patch and build Cargo book
  * Remove libllvm17 dependency due to time_t transition renaming
  * d/p/ubuntu-skip-gdb-tests.patch: temporarily disables gdb tests to
    workaround test failures.
  * Transition Rust toolchain package to a versioned scheme (LP: #2054748)
    - d/*: move all the scripts to the <name>-X.Y.in format so that they
      are generated per version
    - d/rules: install files into their per-version directories
    - d/cargo-*: use a wrapper script to help cargo select the rustc binary
    - d/rules, d/cargo-X.Y.install.in: try to fix the installation logic
    - d/control.in: remove libllvm17 from B-D as it breaks the build after
      armhf time_t 64 bit transition
  * d/get-stage0.py: fix stage0 download
  * d/rules: add checks for checking source package
    - Re-generate auto-generated files if the input files are changed
    - Check if the source package name in the changelog is correct
    - Check and delete auto-generated files on dh_clean

 -- Zixing Liu <zixing.liu@canonical.com>  Fri, 07 Jun 2024 10:25:10 +0200

rustc (1.75.0+dfsg0ubuntu1-0ubuntu1) noble; urgency=medium

  * New upstream release 1.75.0 (LP: #2047858)
    - d/patches: Refresh patches
    - d/copyright: update the list of unused crates
    - d/copyright: update copyright data
    - d/libstd-rust-*: bump version to 1.75
    - d/patches: remove obsoleted patches
    - d/s/lintian-overrides: update lintian overrides
    - d/control: update vendored crate list

 -- Zixing Liu <zixing.liu@canonical.com>  Tue, 02 Jan 2024 12:09:03 -0700

rustc (1.74.1+dfsg0ubuntu1-0ubuntu1) noble; urgency=medium

  * New upstream release 1.74.1 (LP: #2044036)
    - d/patches: Refresh patches
    - d/p/d-0021-vendor-remove-windows-dependencies.patch: remove new
      Windows dependencies
    - d/copyright: update the list of unused crates
    - d/copyright: update copyright data and add LGPL 2.1 license texts
    - d/p/d-fix-rustix-outline.patch: re-add rustix fix for 1.74
    - d/p/ubuntu-upgrade-libgit2-to-1.7.patch: remove obsoleted patch
    - d/libstd-rust-*: bump version to 1.74
    - d/rules: apply a workaround to avoid dh_dwz complaining about
      "Too many DIEs, not optimizing"

 -- Zixing Liu <zixing.liu@canonical.com>  Sun, 19 Nov 2023 18:04:52 -0700

rustc (1.73.0+dfsg0ubuntu1-0ubuntu1) noble; urgency=medium

  * New upstream release 1.73.0 (LP: #2040340)
    - d/patches: Refresh patches
    - d/p/d-0021-vendor-remove-windows-dependencies.patch: remove new
      Windows dependencies
    - d/p/d-0020-remove-windows-dependencies.patch: remove references to macOS
      and Windows libraries in Cargo credential query logic
    - d/p/ubuntu-fix-short-ice-test.patch: remove obsoleted patch
    - d/copyright: update the list of unused crates
    - d/copyright: update copyright data
    - d/control: bump Rust toolchain B-D requirements to 1.72
    - d/control: update the list of vendored dependencies
    - d/*: bump LLVM requirements to LLVM 17
    - d/s/lintian-overrides: suppress Lintian warnings about prebuilt Windows
      binaries in libloading-0.7.4. They are required by libloading for the tests
    - d/cargo.install: remove cargo-credential-1password plugin since now this
      functionality is builtin and no longer ships as a plugin

 -- Zixing Liu <zixing.liu@canonical.com>  Tue, 24 Oct 2023 22:29:46 -0600

rustc (1.72.1+dfsg0ubuntu1-0ubuntu1) mantic; urgency=medium

  * Cherry-pick new changes from Debian until Rust 1.70 (LP: #2041325)
    Applied:
    - Disable download tests
    - Fix internal cargo-doc links
    - Fix FTCBS by setting TARGET flags
    - Update privacy breach removal
    - Update Files-Excluded and unsuspicious files
    - Remove obsoleted patches
  * d/p/u-fix-get-toml-when-test.patch: removed. This conflicts both on
    functionalities and compatibilities with other Ubuntu patches.
  * New upstream release 1.72.1 (LP: #2040339)
    - d/patches: Refresh patches
    - d/p/d-0000-ignore-removed-submodules.patch: Remove Windows-specific
      submodule
    - d/p/d-0021-vendor-remove-windows-dependencies.patch: Remove
      new Windows dependencies
    - d/p/ubuntu-fix-short-ice-test.patch: Add a patch to fix short-ice test
    - d/copyright:
      - Update copyright information for upstream patched crates
      - Update excluded dependencies list
      - Remove windows-bindgen module
    - d/control: Update vendored dependency list
    - d/control: update libgit2 B-D requirements to 1.7
    - d/s/lintian-overrides: Remove unused overrides
  * Remove fonts-nanum from the dependencies (LP: #2031685)
    - d/p/ubuntu-disable-nanum-fonts.patch: Add a patch to disable and remove
      references to the Nanum fonts. We have Noto Sans CJK in the system.
    - d/control: Remove fonts-nanum from the dependencies

 -- Zixing Liu <zixing.liu@canonical.com>  Wed, 11 Oct 2023 14:46:37 -0600

rustc (1.71.1+dfsg0ubuntu2-0ubuntu1) mantic; urgency=medium

  * Remove Windows libraries and dependencies
    (windows and windows-sys) (LP: #2036123)
    - d/p/d-0020-remove-windows-dependencies.patch,
      d/p/d-0021-vendor-remove-windows-dependencies.patch: add patches to
      remove references to Windows-specific libraries
    - d/copyright: Exclude all the removed libraries
    - d/control: Refresh dependency list

 -- Zixing Liu <zixing.liu@canonical.com>  Wed, 06 Sep 2023 16:41:39 -0600

rustc (1.71.1+dfsg0ubuntu1-0ubuntu2) mantic; urgency=medium

  * d/control: Fix an issue where the build dependency incorrectly specified
    the upper bound of rustc to <= 1.71.0 instead of 1.71.1 (LP: #2031545)

 -- Zixing Liu <zixing.liu@canonical.com>  Mon, 14 Aug 2023 12:03:34 +0800

rustc (1.71.1+dfsg0ubuntu1-0ubuntu1) mantic; urgency=medium

  * New upstream release 1.71.1 (LP: #2027942)
    - d/patches: Refresh patches
    - Upstream fixed CVE-2023-38497 and updated tar library
    - d/copyright: Update copyright information for upstream patched crates
  * d/p/u-reproducible-dl-stage0.patch,
    d/p/ubuntu-fix-sysroot-detection.patch,
    d/p/d-rustc-fix-mips64el-bootstrap.patch,
    d/p/d-bootstrap-read-beta-version-from-file.patch: Removed patches that
    were merged by the upstream
  * d/rules: Remove the src/tools/cargo/Cargo.lock file prior to the build, so
    that we can re-use the dependencies as many as possible
  * d/prune-unused-deps: Do the re-locking process for Cargo, since Cargo now
    also has its own workspace, it does not share the lock file with rustc
    starting in Rust 1.71
  * d/not-installed: Ignore backup files
  * d/cargo.bash-completion, d/not-installed: Fix the installation path for
    bash-completion files, the path has changed since Rust 1.71

 -- Zixing Liu <zixing.liu@canonical.com>  Sun, 06 Aug 2023 21:17:45 -0600

rustc (1.70.0+dfsg0ubuntu1-0ubuntu1) mantic; urgency=medium

  * New upstream release 1.70.0 (LP: #2027639)
    - d/patches: Refresh patches
    - Upgraded LLVM to 16
  * d/patches/d-0000-ignore-removed-submodules.patch: Remove newly added Miri
    parts
  * d/patches/ubuntu-downgrade-libgit2-to-1.5.patch: Downgrade libgit2
    requirements to 1.5, since we don't have 1.6 in stable yet
  * d/patches/d-0002-mdbook-strip-embedded-libs.patch: Remove newly added
    mdbook bundled resources
  * d/patches/ubuntu-use-system-compiler-during-tests.patch: Avoid the need of
    downloaded rustc binaries during the bootstrapping tests
  * d/rust-src.install: Fix the config.example.toml installation, because the
    file name changed in Rust 1.70
  * d/patches/ubuntu-disable-fpmath-tests-for-i386.patch: Disable a test for
    testing machine epsilon, which x87 math is too inaccurate to pass the test
  * d/source/lintian-overrides: update overriden paths for doc-tests

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 13 Jul 2023 17:07:11 +0800

rustc (1.69.0+dfsg0ubuntu1-0ubuntu1) mantic; urgency=medium

  * New upstream release 1.69.0 (LP: #2025691)
    - d/patches: Refresh patches
  * d/tests: Add a new smoke test for Cargo (originally from Nick Rosbrook)
    - d/tests/control: Removed architecture restriction from the original test

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 13 Jul 2023 15:13:25 +0800

rustc (1.68.2+dfsg0ubuntu1-0ubuntu3) mantic; urgency=medium

  * d/tests: Fix Cargo self-build test
  * d/tests: Add a new Cargo smoke test from Nick Rosbrook
  * d/control: tightened Cargo package version requirement of the rust-all
    package

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 13 Jul 2023 11:21:39 +0800

rustc (1.68.2+dfsg0ubuntu1-0ubuntu1) mantic; urgency=medium

  * New upstream release 1.68.2 (LP: #2025179)
    - Updated bundled GitHub RSA key and revoked the compromised key
  * d/control: Lock the Cargo package version requirement to the rustc version
  * d/tests: Add the previous Cargo smoke tests back

 -- Zixing Liu <zixing.liu@canonical.com>  Tue, 20 Jun 2023 16:17:01 -0600

rustc (1.68.0+dfsg0ubuntu1-0ubuntu1) mantic; urgency=medium

  * New upstream release 1.68.0 (LP: #2009920)
    - d/copyright: Update copyright information for new dependencies
      and also remove copyright data for deleted dependencies
    - d/patches: Refresh patches
    - d/control: Update vendored deps field
    - d/control: Refresh vendored dependencies list
  * d/p/ubuntu-rustdoc-replace-cargo-links.patch: Replace Cargo related
    links with external web links instead of the local links to avoid
    link-checker errors (because we package Cargo separately)
  * Merge Cargo source package into Rust (LP: #2020000)
    - d/*: copies Cargo Debian manifests into Rust
    - cargo: add Cargo sources to the source tree
    - d/patches: adapt Cargo-specific patches to the new source tree
      structure
    - d/patches, vendor: remove vendored C sources and prebuilt blobs
    - vendor: vendor Cargo-specific dependencies
    - d/control: update vendored dependency list
    - d/rules: revise openssl source check
    - d/cargo.*: install Cargo-specific files
    - d/config: enable Cargo module in the rustbuild configuration
    - d/patches: remove non-Linux platform modules
    - d/rules: use system libssh2 for Cargo
    - d/patches: restore the usage of rustc-workspace-hack to
      reduce the build time and avoid crates feature resolution failure
    - d/patches: remove patches that patch out Cargo from the docs
    - d/rules, d/cargo.*: build and install Cargo API docs
    - d/control, d/rules: install Cargo bash completions
    - d/copyright: update copyright information
    - d/control: make cargo-doc recommends rust-doc

 -- Zixing Liu <zixing.liu@canonical.com>  Wed, 17 May 2023 14:15:17 -0700

rustc (1.67.1+dfsg0ubuntu1-0ubuntu3) lunar; urgency=medium

  * d/p/ubuntu-fix-sysroot-detection.patch: use upstream patch
    for better maintainability

 -- Zixing Liu <zixing.liu@canonical.com>  Fri, 03 Mar 2023 18:16:52 -0700

rustc (1.67.1+dfsg0ubuntu1-0ubuntu2) lunar; urgency=medium

  * Fix an issue where rustc can not find the standard library
    - d/p/ubuntu-fix-sysroot-detection.patch: Fix sysroot detection
      logic so that rustc will find the correct library paths to
      search in.

 -- Zixing Liu <zixing.liu@canonical.com>  Wed, 22 Feb 2023 21:38:58 -0700

rustc (1.67.1+dfsg0ubuntu1-0ubuntu1) lunar; urgency=medium

  * New upstream release 1.67.1 (LP: #2007642)
    - d/p/d-bootstrap-use-local-css.patch: Remove unnecessary hunks
    - d/p/ubuntu-disable-sse2-tests-on-i386.patch: Disable SSE2 tests
      on i386 builds
    - d/copyright: Update copyright information for new dependencies
      and also remove copyright data for deleted dependencies
    - d/patches: Refresh patches
    - d/control: Update vendored deps field
    - d/control: Refresh vendored dependencies list
    - d/source/lintian-overrides: add new test files to the list

 -- Zixing Liu <zixing.liu@canonical.com>  Tue, 14 Feb 2023 14:34:02 -0700

rustc (1.66.1+dfsg0ubuntu1-0ubuntu1) lunar; urgency=medium

  * New upstream release 1.66.1 (LP: #2005122)
    - d/control: Switch to LLVM 15 for better optimizations
    - d/rules: Add workarounds for the new bootstrap tests
    - d/patches: Refresh patches to adapt to the new upstream changes
    - d/p/ubuntu-Revert-Use-constant-eval-to-do-strict-validity-check.patch:
      Dropped, no longer needed
    - d/copyright: refresh vendored crate license info
    - d/libstd-rust-1.66.lintian-overrides: update the override files
  * d/rules: Enable LLVM profiler support (LP: #2002694)

 -- Zixing Liu <zixing.liu@canonical.com>  Wed, 01 Feb 2023 15:00:02 -0700

rustc (1.65.0+dfsg0ubuntu1-0ubuntu1) lunar; urgency=medium

  [ Simon Chopin ]
  * New upstream release (LP: #2000839)
  * d/p/u-arm-compiler-builtins-add-sync-builtin-fallbacks.patch:
    Dropped, applied upstream
  * Update vendored deps field

  [ Fabian Grünbichler ]
  * add overrides for rust-analyzer test data
  * update d/copyright
  * cherry-pick fix for compiletest with rpath=false
  * Update Files-Excluded for new upstream version 1.65.0
  * Update early-stage patches for 1.65.0+dfsg1


 -- Simon Chopin <schopin@ubuntu.com>  Fri, 20 Jan 2023 10:43:28 +0100

rustc (1.70.0+dfsg1-1~exp3) experimental; urgency=medium

  * more test fixes

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Fri, 15 Sep 2023 15:07:01 +0200

rustc (1.70.0+dfsg1-1~exp2) experimental; urgency=medium

  * don't remove replace-version-placeholder from workspace
  * disable download tests
  * fix x86 tests checking for SSE2

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Fri, 15 Sep 2023 10:10:52 +0200

rustc (1.70.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release
  * switch to LLVM 16
  * properly drop more components
  * rust-src: fix path of installed example config
  * fix lintian overrides
  * update d/copyright

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Thu, 14 Sep 2023 09:07:26 +0200

rustc (1.69.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Wed, 13 Sep 2023 13:57:58 +0200

rustc (1.69.0+dfsg1-1~exp2) experimental; urgency=medium

  * config: also enable rustdoc explicitly
  * bump wasi-libc to revert stack protection (Closes: #1051815)

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Wed, 13 Sep 2023 08:02:53 +0200

rustc (1.69.0+dfsg1-1~exp1) experimental; urgency=medium

  [ Eric Long ]
  * New upstream release
  * Manually include `rust-analyzer-proc-macro-srv` (again)

  [ Fabian Grünbichler ]
  * add libc with "extra_traits" to feature sync patch
  * update d/copyright
  * update lintian overrides

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Tue, 12 Sep 2023 10:17:15 +0200

rustc (1.68.2+dfsg1-1) unstable; urgency=medium

  * Upload to unstable

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sun, 10 Sep 2023 19:22:53 +0200

rustc (1.68.2+dfsg1-1~exp1) experimental; urgency=medium

  [ Eric Long ]
  * New upstream version 1.68.2+dfsg1
  * Update patches to adapt to upstream test path change

  [ Fabian Grünbichler ]
  * Update wasi-libc to 4362b18
  * Update doc path to fix linkcheck
  * Update d/copyright
  * Update lintian overrides
  * Update privacy breach removal (github badge)
  * Bump Standards-Version to 4.6.2

  [Helmut Grohne]
  * Fix FTCBFS: Do not pass host CFLAGS to the build compiler
    (Closes: #1050975)

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Wed, 02 Aug 2023 13:17:47 +0200

rustc (1.67.1+dfsg1-1) unstable; urgency=medium

  * Upload to unstable

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sun, 03 Sep 2023 19:58:53 +0200

rustc (1.67.1+dfsg1-1~exp1) experimental; urgency=medium

  [ Fabian Grünbichler ]
  * update/rebase/drop patches (based on work by Blair Noctis)
  * d/copyright: add missing statements
  * add missing lintian overrides for test cases

  [ Blair Noctis ]
  * New upstream release
  * Cherry-pick sysroot detection fix
  * Update d/copyright for some vendored

 -- Fabian Grünbichler <f.gruenbichler@proxmox.com>  Fri, 07 Jul 2023 10:01:33 +0200

rustc (1.66.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Tue, 27 Jun 2023 17:12:20 +0200

rustc (1.66.0+dfsg1-1~exp1) experimental; urgency=medium

  [ Blair Noctis ]
  * New upstream version 1.66.0+dfsg1
  * Drop outdated patches
  * Work around incorrect config handling (picking up initial rustc) when
    running tests

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sun, 23 Apr 2023 20:45:41 +0200

rustc (1.65.0+dfsg1-2) unstable; urgency=medium

  * Team upload
  * Source-only upload

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 26 Jun 2023 17:16:27 -0400

rustc (1.65.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Tue, 20 Jun 2023 20:16:50 +0200

rustc (1.65.0+dfsg1-1~exp3) experimental; urgency=medium

  * d/rules: fix typo in mipsel workaround

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sun, 12 Mar 2023 08:54:15 +0100

rustc (1.65.0+dfsg1-1~exp2) experimental; urgency=medium

  [ Fabian Grünbichler ]
  * d/control: add myself to Uploaders
  * cherry-pick fix for failing backtrace test
  * bump mipsel test failure allowance to work around broken gdb 13.1
  * drop duplicate lintian override

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sat, 11 Mar 2023 18:50:19 +0100

rustc (1.65.0+dfsg1-1~exp1) experimental; urgency=medium

  [ Fabian Grünbichler ]
  * New upstream version 1.65.0+dfsg1
  * switch to LLVM-15
  * cherry-pick fix for compiletest with rpath=false
  * add overrides for rust-analyzer test data

 -- Fabian Gruenbichler <debian@fabian.gruenbichler.email>  Wed, 15 Feb 2023 20:12:05 +0100

rustc (1.64.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable
  * Add myself to Uploaders

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Mon, 12 Jun 2023 18:36:56 +0200

rustc (1.64.0+dfsg1-1~exp4) experimental; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * fix sparc64 rustix build (Closes: #1030053)

 -- Fabian Gruenbichler <debian@fabian.gruenbichler.email>  Tue, 31 Jan 2023 19:55:48 +0100

rustc (1.64.0+dfsg1-1~exp3) experimental; urgency=medium

  [ Simon Chopin ]
  * cherry-pick riscv64 fix from ubuntu

 -- Fabian Gruenbichler <debian@fabian.gruenbichler.email>  Fri, 20 Jan 2023 20:48:11 +0100

rustc (1.64.0+dfsg1-1~exp2) experimental; urgency=medium

  [ Fabian Grünbichler ]
  * d/prune-unused-deps: unify cargo update calls
  * fix rustix on arches requiring outline building
  * fix libstd-rust-dev-windows lintian override
  * fix compiler_builtins linkage on arm(el)
  * add compiler_builtins sync fallbacks for arm(el)
  * fix panicking lldb check on armel

 -- Fabian Gruenbichler <debian@fabian.gruenbichler.email>  Wed, 11 Jan 2023 17:22:16 +0100

rustc (1.64.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release
  * d/rules: auto_clean: preserve .cargo/config.toml
  * d/rules: also clear bootstrap/rust-analyzer Cargo.lock
  * d/rules: extend privacy-breach removal
  * ship rust-analyzer-proc-macro-srv binary

 -- Fabian Gruenbichler <debian@fabian.gruenbichler.email>  Thu, 08 Dec 2022 09:17:59 +0100

rustc (1.63.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable (Closes: #1018859)

  [ Pietro Albini ]
  * clarify the licensing of the mpsc implementation

 -- Fabian Gruenbichler <debian@fabian.gruenbichler.email>  Wed, 07 Dec 2022 17:29:00 +0100

rustc (1.63.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Fabian Gruenbichler <debian@fabian.gruenbichler.email>  Tue, 15 Nov 2022 19:47:53 +0100

rustc (1.63.0+dfsg0ubuntu1-0ubuntu2) lunar; urgency=medium

  * d/control: fix wrong dependencies on previous release

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 01 Dec 2022 16:58:41 +0100

rustc (1.63.0+dfsg0ubuntu1-0ubuntu1) lunar; urgency=medium

  * New upstream release (LP: #1995096)
  * d/copyright: updated (cherry-picked from Debian experimental)

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 30 Nov 2022 18:17:29 +0100

rustc (1.62.1+dfsg1-1ubuntu1) lunar; urgency=medium

  * Merge 1.62.0+dfsg1-1 from Debian unstable
    Remaining changes:
    - Downgrade cargo from rustc Recommends to Suggests to make rustc promotable to
      main.
    - d/control: Add fonts-nanum to the rust-doc deps
    - d/control: Add the rust-doc deps as build-deps for the linkchecker tests
    - Reduce parallelism on all arches other than riscv64 to avoid OOMs
      during build.
    - Explicitly disable LTO
    - Add a self-build autopkgtest
    - Ship the Cargo.lock file along with the compiler to identify which crates
      were bundled in.
    - d/p/ubuntu-fix-crossbeam-CVE-2022-23639.patch: cherry-pick to fix CVE-2022-23639
      amended to also patch the 0.7.2 version of the crate
    - On i386, only build debuginfo for libstd
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
    - Add Build-Depends-Indep: libssl-dev
    - Revert workaround for upstream bug #74786
    - Disable wasm build as build dependencies not currently available in
      Ubuntu.
    - Do not build windows cross compiler.
    - Drop llvm-13 to Suggests for rustc to avoid having to promote it to Ubuntu
      main
    - Add XS-Vendored-Sources-Rust field support
      Needed an extra patch due to rustc being a multi-crate source package.
    Integrated in Debian:
    - d/p/ubuntu-disable-ppc64el-asm-tests.patch: disable tests on power
      and s390x if using asm!()
    - d/p/ubuntu-ignore-arm-doctest.patch: Patch out the bad doctests for the
      instruction_set errors
    Dropped, not needed anymore:
    - d/p/ubuntu-compiletest-fix.patch: Fix compilation with 1.61
  * d/control: Update the vendored sources field

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 24 Nov 2022 09:58:29 +0100

rustc (1.62.1+dfsg1-1) unstable; urgency=medium

  * Upload to unstable
  * Fix armhf build

 -- Fabian Gruenbichler <debian@fabian.gruenbichler.email>  Mon, 31 Oct 2022 14:19:34 +0100

rustc (1.62.1+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Fabian Gruenbichler <debian@fabian.gruenbichler.email>  Fri, 28 Oct 2022 11:35:48 +0200

rustc (1.61.0+dfsg1-2) unstable; urgency=medium

  [ Ximin Luo]
  * Improve cross-building documentation

  [ Adrian Bunk ]
  * Disable kernel_user_helpers on armel (duplicate symbols)
  * Increase allowed failures on armel/mips64el/ppc64 (Closes: #1020860)

  [ Fabian Grünbichler ]
  * cherry-pick patches from Ubuntu
  * fix rebuild of 1.61 with 1.61

 -- Fabian Gruenbichler <debian@fabian.gruenbichler.email>  Mon, 10 Oct 2022 20:19:05 +0200

rustc (1.61.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable (Closes: #1020394)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 22 Sep 2022 09:00:21 +0200

rustc (1.61.0+dfsg1-1~exp1ubuntu1) kinetic; urgency=medium

  * Merge 1.61.0+dfsg1-1~exp1 from Debian unstable (LP: #1986648)
    Remaining changes:
    - Downgrade cargo from rustc Recommends to Suggests to make rustc promotable to
      main. (LP: #1966200)
    - d/control: Add fonts-nanum to the rust-doc deps
    - d/control: Add the rust-doc deps as build-deps for the linkchecker tests
    - Reduce parallelism on all arches other than riscv64 to avoid OOMs
      during build.
    - Explicitly disable LTO
    - Add a self-build autopkgtest
    - Ship the Cargo.lock file along with the compiler to identify which crates
      were bundled in.
    - d/p/ubuntu-ignore-arm-doctest.patch: Patch out the bad doctests for the
      instruction_set errors
    - d/p/ubuntu-fix-crossbeam-CVE-2022-23639.patch: cherry-pick to fix CVE-2022-23639
      amended to also patch the 0.7.2 version of the crate
    - On i386, only build debuginfo for libstd
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
    - Add Build-Depends-Indep: libssl-dev
    - Revert workaround for upstream bug #74786
    - Disable wasm build as build dependencies not currently available in
      Ubuntu.
    - Do not build windows cross compiler.
    - Drop llvm-13 to Suggests for rustc to avoid having to promote it to Ubuntu
      main
    - Add XS-Vendored-Sources-Rust field support
      Needed an extra patch due to rustc being a multi-crate source package.
    - d/p/ubuntu-disable-ppc64el-asm-tests.patch: disable tests on power
      and s390x if using asm!()
  * d/control: Update the vendored sources field
  * d/p/ubuntu-compiletest-fix.patch: Fix compilation with 1.61

 -- Simon Chopin <schopin@ubuntu.com>  Mon, 19 Sep 2022 18:41:53 +0200

rustc (1.61.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release

  * Switch to LLVM-14 (Closes: #1017656)

 -- Fabian Gruenbichler <f.gruenbichler@proxmox.com>  Wed, 07 Sep 2022 17:33:04 +0200

rustc (1.60.0+dfsg1-1+ubuntu1) kinetic; urgency=medium

  * Merge 1.60.0+dfsg1-1+ubuntu1 from Debian unstable (LP: #1986648)
    Remaining changes:
    - Downgrade cargo from rustc Recommends to Suggests to make rustc promotable
      to main. (LP: #1966200)
    - d/control: Add fonts-nanum to the rust-doc deps
    - d/control: Add the rust-doc deps as build-deps for the linkchecker tests
    - Reduce parallelism on all arches other than riscv64 to avoid OOMs
      during build.
    - Explicitly disable LTO
    - Add a self-build autopkgtest
    - Ship the Cargo.lock file along with the compiler to identify which crates
      were bundled in.
    - d/p/ubuntu-ignore-arm-doctest.patch: Patch out the bad doctests for the
      instruction_set errors
    - d/p/ubuntu-fix-crossbeam-CVE-2022-23639.patch: cherry-pick to fix
      CVE-2022-23639 amended to also patch the 0.7.2 version of the crate
    - On i386, only build debuginfo for libstd
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
    - Add Build-Depends-Indep: libssl-dev
    - Revert workaround for upstream bug #74786
    - Disable wasm build as build dependencies not currently available in
      Ubuntu.
    - Do not build windows cross compiler.
    - Drop llvm-13 to Suggests for rustc to avoid having to promote it to Ubuntu
      main
    - Add XS-Vendored-Sources-Rust field support
      Needed an extra patch due to rustc being a multi-crate source package.
  * Dropped changes:
    - d/p/ubuntu-disable-armhf-debuginfo-failures.patch: temporary to work
      around the armhf debuginfo test failures
      -> Now filtered out at the result analysis level in d/rules
    - New patch u-linkchecker-symlinks.patch to fix an issue in
      the linkchecker triggered by our symlink to the system fonts dir
      -> Merged upstream
  * d/control: Update the vendored sources field
  * d/p/ubuntu-disable-ppc64el-asm-tests.patch: disable tests on power
    and s390x if using asm!()

 -- Simon Chopin <schopin@ubuntu.com>  Tue, 06 Sep 2022 14:48:43 +0200

rustc (1.60.0+dfsg1-1) unstable; urgency=medium

  * Ignore more test failures on mips64el for lack of inline assembly support.

  * Add i386 and x32 to list of "low-memory" architectures requiring build
    workarounds.

 -- Fabian Gruenbichler <f.gruenbichler@proxmox.com>  Mon, 5 Sep 2022 10:03:18 +0200

rustc (1.60.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Fabian Gruenbichler <f.gruenbichler@proxmox.com>  Thu, 14 Jul 2022 13:08:16 +0200

rustc (1.59.0+dfsg1-2) unstable; urgency=medium

  * Backport a patch for riscv64.
  * Ignore some test failures on armhf due to regression in GDB 11.2.

 -- Ximin Luo <infinity0@debian.org>  Tue, 21 Jun 2022 11:06:16 +0100

rustc (1.59.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Ximin Luo <infinity0@debian.org>  Wed, 11 May 2022 14:11:46 +0100

rustc (1.59.0+dfsg1-1~ubuntu3) kinetic; urgency=medium

  * Add XS-Vendored-Sources-Rust field support (LP: #1987674)
    Needed an extra patch due to rustc being a multi-crate source package.

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 25 Aug 2022 19:01:32 +0200

rustc (1.59.0+dfsg1-1~ubuntu2) kinetic; urgency=medium

  * Drop llvm-13 to Suggests for rustc to avoid having to promote it to Ubuntu
    main (LP: #1971128)

 -- Simon Chopin <simon.chopin@canonical.com>  Mon, 30 May 2022 09:59:01 +0200

rustc (1.59.0+dfsg1-1~ubuntu1) kinetic; urgency=medium

  * Merge 1.59.0+dfsg1-1~exp1 from Debian experimental (LP: #1968345)
    Remaining changes:
    - Downgrade cargo from rustc Recommends to Suggests to make rustc promotable to
      main. (LP: #1966200)
    - New patch u-linkchecker-symlinks.patch to fix an issue in
      the linkchecker triggered by our symlink to the system fonts dir
    - d/control: Add fonts-nanum to the rust-doc deps
    - d/control: Add the rust-doc deps as build-deps for the linkchecker tests
    - Reduce parallelism on all arches other than riscv64 to avoid OOMs
      during build.
    - Explicitly disable LTO
    - Add a self-build autopkgtest
    - Ship the Cargo.lock file along with the compiler to identify which crates
      were bundled in.
    - d/p/ubuntu-disable-armhf-debuginfo-failures.patch: temporary to work
      around the armhf debuginfo test failures
    - d/p/ubuntu-ignore-arm-doctest.patch: Patch out the bad doctests for the
      instruction_set errors
    - d/p/ubuntu-fix-crossbeam-CVE-2022-23639.patch: cherry-pick to fix CVE-2022-23639
      amended to also patch the 0.7.2 version of the crate
    - On i386, only build debuginfo for libstd
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
    - Add Build-Depends-Indep: libssl-dev
    - Revert workaround for upstream bug #74786
    - Disable wasm build as build dependencies not currently available in
      Ubuntu.
    - Do not build windows cross compiler.

 -- Simon Chopin <simon.chopin@canonical.com>  Fri, 29 Apr 2022 10:13:09 +0200

rustc (1.59.0+dfsg1-1~exp1) experimental; urgency=medium

  [ Fabian Grünbichler ]
  * New upstream release

 -- Ximin Luo <infinity0@debian.org>  Tue, 29 Mar 2022 14:32:01 +0100

rustc (1.58.1+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Ximin Luo <infinity0@debian.org>  Tue, 29 Mar 2022 12:23:46 +0100

rustc (1.58.1+dfsg1-1~exp1) experimental; urgency=medium

  [ Fabian Gruenbichler ]
  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Tue, 08 Mar 2022 11:32:29 +0000

rustc (1.58.1+dfsg1~ubuntu1-0ubuntu2) jammy; urgency=medium

  * d/p/ubuntu-fix-crossbeam-CVE-2022-23639.patch: amended to also patch the
    0.7.2 version of the crate
  * Downgrade cargo from rustc Recommends to Suggests to make rustc promotable to
    main. (LP: #1966200)

 -- Simon Chopin <simon.chopin@canonical.com>  Fri, 01 Apr 2022 11:54:57 +0200

rustc (1.58.1+dfsg1~ubuntu1-0ubuntu1) jammy; urgency=medium

  * New upstream version.
    - d/copyright: exclude the new NanumBarunGothic fonts
    - d/copyright: refresh the unused deps section
    - revert the LLVM vendoring
    - revert the CFLAGS scrubing
    - d/p/{u-89950.patch}: Removed, merged upstream
    - Refreshed patches:
      - d/p/d-0000-ignore-removed-submodules.patch
      - d/p/d-rustc-fix-mips64el-bootstrap.patch
      - d/p/d-rustdoc-disable-embedded-fonts.patch
      - d/p/d-bootstrap-cargo-doc-paths.patch
    - Unfuzzed patches: 
      - d-0005-clippy-feature-sync.patch
      - d-bootstrap-rustflags.patch
      - d-bootstrap-cargo-doc-paths.patch
      - u-cc-627.patch
    - New patch u-linkchecker-symlinks.patch to fix an issue in
      the linkchecker triggered by our symlink to the system fonts dir
    - d/control: Add fonts-nanum to the rust-doc deps
    - d/control: Add the rust-doc deps as build-deps for the linkchecker tests
  * d/rules: bump the parallelism level to 4
  * Re-enable the tests within the Debian-specified limits
  * Explicitly disable LTO
  * Add a self-build autopkgtest
  * Ship the Cargo.lock file along with the compiler to identify which crates
    were bundled in.
  * d/p/ubuntu-disable-armhf-debuginfo-failures.patch: temporary to work
    around the armhf debuginfo test failures
  * d/p/ubuntu-ignore-arm-doctest.patch: Patch out the bad doctests for the
    instruction_set errors
  * d/p/ubuntu-fix-crossbeam-CVE-2022-23639.patch: cherry-pick to fix CVE-2022-23639

 -- Simon Chopin <simon.chopin@canonical.com>  Thu, 24 Feb 2022 13:41:38 +0100

rustc (1.57.0+dfsg1+llvm-0ubuntu2) jammy; urgency=medium

  * d/p/d-bootstrap-rustflags.patch: remove the warnings bit, use the option
    "deny-warnings = false" in d/config.toml.in instead

 -- Simon Chopin <simon.chopin@canonical.com>  Thu, 27 Jan 2022 11:21:03 +0100

rustc (1.57.0+dfsg1+llvm-0ubuntu1) jammy; urgency=medium

  * New upstream version.
  * Refresh patches.
  * d/patches/{u-89591.patch,u-88668.patch,u-89772.patch}: Remove as upstream
    now includes these patches.
  * d/patches/d-bootstrap-dont-download-stage0.patch: Remove, no longer
    needed.
  * d/patches/ubuntu-memchr-features.patch: Fix obscure ftbfs from mismatched
    features.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 21 Jan 2022 08:42:03 +1300

rustc (1.57.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable. (Closes: #1005203)

 -- Ximin Luo <infinity0@debian.org>  Tue, 08 Mar 2022 10:51:18 +0000

rustc (1.57.0+dfsg1-1~exp1) experimental; urgency=medium

  [ Simon Chopin ]
  * d/p/d-bootstrap-rustflags.patch: remove the warnings bit, use the option
    "deny-warnings = false" in d/config.toml.in instead

  [ Fabian Grünbichler ]
  * Fix CVE-2022-21658 - std::fs::remove_dir_all TOCTOU symlink issue
  * New upstream release. (Closes: #1005203)

 -- Fabian Grünbichler <f.gruenbichler@proxmox.com>  Thu, 03 Feb 2022 19:14:04 +0100

rustc (1.56.0+dfsg1+llvm-2ubuntu2) jammy; urgency=medium

  * debian/patches/u-ensure-aarch64-lse-object-files-have-distinct-names-in-an-archive.patch:
    Backport patch from upstream, to fix "error: object name conflicts in
    archive" when building rust programs on arm64 (librsvg is currently
    affected).

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 18 Jan 2022 10:25:30 +0000

rustc (1.56.0+dfsg1+llvm-2ubuntu1) jammy; urgency=medium

  * Merge 1.56.0+dfsg1-2 from Debian unstable. (LP: #1952104)
    Remaining changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch
    - Add Build-Depends-Indep: libssl-dev
    - Revert workaround for upstream bug #74786
    - Disable wasm build as build dependencies not currently available in
      Ubuntu.
    - Do not build windows cross compiler.
    - Reduce parallelism on all arches other than riscv64 to avoid OOMs
      during build.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 14 Dec 2021 10:24:02 +1300

rustc (1.56.0+dfsg1-2) unstable; urgency=medium

  * Update to debhelper 13.

 -- Ximin Luo <infinity0@debian.org>  Fri, 22 Oct 2021 23:29:14 +0100

rustc (1.56.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Support terse and verbose DEB_BUILD_OPTIONS.
  * Support -Z gcc-ld=lld via symlinks.
  * Fix RUSTC_SYSROOT in rust-gdb and rust-lldb, thanks James McCoy.

 -- Ximin Luo <infinity0@debian.org>  Fri, 22 Oct 2021 18:54:49 +0100

rustc (1.56.0~beta.4+dfsg1-1~exp2) experimental; urgency=medium

  * Include upstream patch for x32 support. (Closes: #993855)
  * Update to LLVM 13.

 -- Ximin Luo <infinity0@debian.org>  Fri, 15 Oct 2021 10:44:35 +0100

rustc (1.56.0~beta.4+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Thu, 14 Oct 2021 22:50:58 +0100

rustc (1.55.0+dfsg1+llvm-2ubuntu1) jammy; urgency=medium

  * Merge 1.55.0+dfsg1-2 from Debian unstable. (LP: #1952104)
    Remaining changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch
    - Add Build-Depends-Indep: libssl-dev
    - Revert workaround for upstream bug #74786
    - Disable wasm build as build dependencies not currently available in
      Ubuntu.
    - Do not build windows cross compiler.
    - Reduce parallelism on all arches other than riscv64 to avoid OOMs
      during build.
  * Dropped changes, fixed upstream:
    - Adjust -march setting on armhf

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 13 Dec 2021 15:07:06 +1300

rustc (1.55.0+dfsg1-2) unstable; urgency=medium

  * Actually work around segfault on ppc64el.
  * Fix FTBFS on armhf caused by GCC 11 changes.

 -- Ximin Luo <infinity0@debian.org>  Thu, 14 Oct 2021 00:36:15 +0100

rustc (1.55.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.
  * Bump test failures-allowed on s390x to 40.
  * Work around a segfault on ppc64el

 -- Ximin Luo <infinity0@debian.org>  Wed, 13 Oct 2021 22:06:15 +0100

rustc (1.55.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Sat, 09 Oct 2021 03:22:08 +0100

rustc (1.54.0+dfsg2+llvm-3ubuntu1) jammy; urgency=medium

  * Merge 1.54.0+dfsg1-3 from Debian unstable. (LP: #1952104)
    Remaining changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch
    - Add Build-Depends-Indep: libssl-dev
    - Revert workaround for upstream bug #74786
    - Disable wasm build as build dependencies not currently available in
      Ubuntu.
    - Do not build windows cross compiler.
    - Adjust -march setting on armhf
  * Reduce parallelism on all arches other than riscv64 to avoid OOMs
    during build.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 10 Dec 2021 08:13:40 +1300

rustc (1.54.0+dfsg1-3) unstable; urgency=medium

  * Fix links to cargo-doc.

 -- Ximin Luo <infinity0@debian.org>  Sat, 09 Oct 2021 11:46:08 +0100

rustc (1.54.0+dfsg1-2) unstable; urgency=medium

  * Fix some more build & test failures.

 -- Ximin Luo <infinity0@debian.org>  Sat, 09 Oct 2021 03:12:35 +0100

rustc (1.54.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.
  * Re-enable backported patch for armhf & reset its allowed-failures.
  * Add compatibility patch for cargo 0.47.
  * Ignore more spurious test failures, and filed upstream.
  * Bump powerpc allowed-failures to 180 at the request of ports maintainers.

 -- Ximin Luo <infinity0@debian.org>  Sat, 09 Oct 2021 00:24:37 +0100

rustc (1.54.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Wed, 06 Oct 2021 10:37:55 +0100

rustc (1.53.0+dfsg1+llvm-4ubuntu1) jammy; urgency=medium

  * Merge 1.53.0+dfsg1-4 from Debian unstable. (LP: #1943842)
    Remaining changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch
    - Add Build-Depends-Indep: libssl-dev
    - Revert workaround for upstream bug #74786
    - Disable wasm build as build dependencies not currently available in
      Ubuntu.
    - Do not build windows cross compiler.
    - Reduce parallelism on all arches to avoid OOMs during build.
    - Adjust -march setting on armhf

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 27 Oct 2021 20:12:14 +1300

rustc (1.53.0+dfsg1-4) unstable; urgency=medium

  * Ignore some hanging test regressions on non-release arches powerpc, ppc64.

 -- Ximin Luo <infinity0@debian.org>  Wed, 06 Oct 2021 19:24:11 +0100

rustc (1.53.0+dfsg1-3) unstable; urgency=medium

  * Disable patch that was backported incorrectly.
  * Temporarily increase armhf allowed-failures to 12.

 -- Ximin Luo <infinity0@debian.org>  Wed, 06 Oct 2021 19:01:54 +0100

rustc (1.53.0+dfsg1-2) unstable; urgency=medium

  * Fix some test failures.

 -- Ximin Luo <infinity0@debian.org>  Wed, 06 Oct 2021 10:29:03 +0100

rustc (1.53.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.
  * Update mips patches, disable a test as our workaround makes it invalid.
  * Temporarily ignore some tests that fail on big-endian.

 -- Ximin Luo <infinity0@debian.org>  Tue, 05 Oct 2021 23:19:31 +0100

rustc (1.53.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release. (Closes: #986803)
  * Honour parallel option in DEB_BUILD_OPTIONS. (Closes: #993871)

 -- Ximin Luo <infinity0@debian.org>  Sat, 02 Oct 2021 12:46:49 +0100

rustc (1.52.1+dfsg1+llvm-1ubuntu1) impish; urgency=medium

  * Merge 1.52.1+dfsg1-1 from Debian unstable. (LP: #1943842)
    Remaining changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch
    - Add Build-Depends-Indep: libssl-dev
    - Revert workaround for upstream bug #74786
    - Disable wasm build as build dependencies not currently available in
      Ubuntu.
    - Do not build windows cross compiler.
  * Reduce parallelism on all arches to avoid OOMs during build.
  * Adjust -march setting on armhf.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 13 Oct 2021 14:30:46 +1300

rustc (1.52.1+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.
  * Reorganise dependencies, move optional rustc deps to rust-all.

 -- Ximin Luo <infinity0@debian.org>  Wed, 29 Sep 2021 20:05:55 +0100

rustc (1.52.1+dfsg1-1~exp3) experimental; urgency=medium

  * Update to LLVM 12.

 -- Ximin Luo <infinity0@debian.org>  Wed, 19 May 2021 17:52:44 +0100

rustc (1.52.1+dfsg1-1~exp2) experimental; urgency=medium

  * Fix rust-clippy dependency on libstd-rust-*

 -- Ximin Luo <infinity0@debian.org>  Sat, 15 May 2021 22:42:38 +0100

rustc (1.52.1+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Sat, 15 May 2021 15:21:27 +0100

rustc (1.52.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Fri, 07 May 2021 20:38:38 +0100

rustc (1.52.0~beta.3+dfsg1-1~exp4) experimental; urgency=medium

  * Fix issue with dh_missing --fail-missing

 -- Ximin Luo <infinity0@debian.org>  Thu, 06 May 2021 01:52:30 +0100

rustc (1.52.0~beta.3+dfsg1-1~exp3) experimental; urgency=medium

  * Fix Makefile addition syntax.

 -- Ximin Luo <infinity0@debian.org>  Wed, 05 May 2021 22:24:22 +0100

rustc (1.52.0~beta.3+dfsg1-1~exp2) experimental; urgency=medium

  * Install the rust-llvm-dwp symlink.

 -- Ximin Luo <infinity0@debian.org>  Wed, 05 May 2021 22:20:13 +0100

rustc (1.52.0~beta.3+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Mon, 26 Apr 2021 12:31:27 +0100

rustc (1.51.0+dfsg1+llvm-1~exp3ubuntu1) impish; urgency=medium

  * Merge 1.51.0+dfsg1-1~exp3 from Debian experimental (LP #1932145).
    Remaining changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch
    - Add Build-Depends-Indep: libssl-dev
    - Revert workaround for upstream bug #74786
    - Disable wasm build as build dependencies not currently available in
      Ubuntu.
    - Do not build windows cross compiler.
    - Try reducing parallelism in rustbuild on arm64 to avoid OOM.
    - Reduce parallelism during build on s390x too.
  * Disable check against uploading ~exp versions.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 06 Jul 2021 13:16:52 +1200

rustc (1.51.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.
  * Install the rust-llvm-dwp symlink.
  * Bump ppc64 allowed-failures to 24.

 -- Ximin Luo <infinity0@debian.org>  Sun, 19 Sep 2021 19:48:33 +0100

rustc (1.51.0+dfsg1-1~exp3) experimental; urgency=medium

  * Restore patch, not actually fixed upstream.

 -- Ximin Luo <infinity0@debian.org>  Mon, 26 Apr 2021 16:17:12 +0100

rustc (1.51.0+dfsg1-1~exp2) experimental; urgency=medium

  * Drop patch fixed upstream.
  * Fix bootstrap with self version.

 -- Ximin Luo <infinity0@debian.org>  Mon, 26 Apr 2021 12:26:43 +0100

rustc (1.51.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Enable 32-bit windows support.

 -- Ximin Luo <infinity0@debian.org>  Mon, 12 Apr 2021 11:04:36 +0100

rustc (1.50.0+dfsg1+llvm-0ubuntu5) hirsute; urgency=medium

  * No change rebuild rebootstrap.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 01 Apr 2021 21:54:48 +0100

rustc (1.50.0+dfsg1+llvm-0ubuntu4) hirsute; urgency=medium

  * Drop d/patches/0001-Revert-Auto-merge-of-79547.patch.
  * Cherrypick llvm toolchain fix for s390x from 1.51 beta.
  * Build against older 1.49 rustc.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 25 Mar 2021 13:30:52 +0000

rustc (1.50.0+dfsg1+llvm-0ubuntu3) hirsute; urgency=medium

  * Rebuild against the previous upload.
  * Restore the upper cap on the rustc build-dependency.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 24 Mar 2021 22:27:48 +0000

rustc (1.50.0+dfsg1+llvm-0ubuntu2) hirsute; urgency=medium

  [ Michael Hudson-Doyle ]
  * d/patches/0001-Revert-Auto-merge-of-79547.patch: Revert a patch that
    causes LLVM to generate bad code on s390x.  See
    https://github.com/rust-lang/rust/issues/80810.

  [ Dimitri John Ledkov ]
  * Built against older 1.49 rustc.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 23 Mar 2021 18:45:53 +0000

rustc (1.50.0+dfsg1+llvm-0ubuntu1) hirsute; urgency=medium

  * New upstream release. (LP: #1915722)
  * Update patches.
  * Update d/copyright.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 04 Mar 2021 10:17:58 +1300

rustc (1.50.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Ximin Luo <infinity0@debian.org>  Sat, 18 Sep 2021 11:45:21 +0100

rustc (1.50.0+dfsg1-1~exp4) experimental; urgency=medium

  * Fix more tests with a backported upstream PR.

 -- Ximin Luo <infinity0@debian.org>  Mon, 12 Apr 2021 01:51:22 +0100

rustc (1.50.0+dfsg1-1~exp3) experimental; urgency=medium

  * Fix cross-compile to windows using same-version stage0.

 -- Ximin Luo <infinity0@debian.org>  Sun, 11 Apr 2021 13:52:41 +0100

rustc (1.50.0+dfsg1-1~exp2) experimental; urgency=medium

  * Fix tests, fix s390x breakage.

 -- Ximin Luo <infinity0@debian.org>  Fri, 09 Apr 2021 16:54:20 +0100

rustc (1.50.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Mon, 05 Apr 2021 21:30:18 +0100

rustc (1.49.0+dfsg1+llvm-0ubuntu1) hirsute; urgency=medium

  * Merge 1.49.0~beta.4+dfsg1-1~exp1 from Debian experimental (LP #1915722).
    Remaining changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch
    - Add Build-Depends-Indep: libssl-dev
    - Revert workaround for upstream bug #74786
    - Disable wasm build as build dependencies not currently available in
      Ubuntu.
    - Do not build windows cross compiler.
    - Try reducing parallelism in rustbuild on arm64 to avoid OOM.
  * Update to 1.49.0 final release.
  * Drop d-fix-mips64el-bootstrap.patch.
  * Reduce parallelism during build on s390x too.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 01 Mar 2021 21:39:26 +1300

rustc (1.49.0+dfsg1-2) unstable; urgency=medium

  * Backport upstream PR 85807 to fix powerpc test issues.

 -- Ximin Luo <infinity0@debian.org>  Sat, 18 Sep 2021 11:33:09 +0100

rustc (1.49.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Ximin Luo <infinity0@debian.org>  Sat, 28 Aug 2021 10:48:11 +0100

rustc (1.49.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Mon, 05 Apr 2021 14:59:34 +0100

rustc (1.49.0~beta.4+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Sun, 20 Dec 2020 23:26:55 +0000

rustc (1.48.0+dfsg1+llvm-2ubuntu1) hirsute; urgency=medium

  * Merge 1.48.0+dfsg1-2 from Debian unstable (LP #1915722). Remaining
    changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch
    - Add Build-Depends-Indep: libssl-dev
    - Revert workaround for upstream bug #74786
    - Disable wasm build as build dependencies not currently available in
      Ubuntu.
    - Do not build windows cross compiler.
    - Try reducing parallelism in rustbuild on arm64 to avoid OOM.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 26 Feb 2021 08:13:28 +1300

rustc (1.48.0+dfsg1-2) unstable; urgency=medium

  * Enable +xgot on mips64*, see upstream #52108 for details.

 -- Ximin Luo <infinity0@debian.org>  Sun, 20 Dec 2020 18:52:10 +0000

rustc (1.48.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Tue, 01 Dec 2020 19:57:48 +0000

rustc (1.48.0~beta.8+dfsg1-1~exp3) experimental; urgency=medium

  * Update u-update-version-check.patch

 -- Ximin Luo <infinity0@debian.org>  Fri, 13 Nov 2020 01:36:31 +0000

rustc (1.48.0~beta.8+dfsg1-1~exp2) experimental; urgency=medium

  * Disable copy_file_range optimisation for now, see upstream #78979.
  * Ignore some other minor tests, bugs have been filed upstream.

 -- Ximin Luo <infinity0@debian.org>  Thu, 12 Nov 2020 23:51:53 +0000

rustc (1.48.0~beta.8+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Wed, 11 Nov 2020 12:31:18 +0000

rustc (1.47.0+dfsg1+llvm-1ubuntu2) hirsute; urgency=medium

  * No change rebuild against new glibc-32 ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 15 Feb 2021 22:37:11 +0000

rustc (1.47.0+dfsg1+llvm-1ubuntu1) hirsute; urgency=medium

  * Merge 1.47.0+dfsg1-1 from Debian unstable (LP #1901571). Remaining
    changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch
    - Add Build-Depends-Indep: libssl-dev
    - Revert workaround for upstream bug #74786
    - Disable wasm build as build dependencies not currently available in
      Ubuntu.
    - Do not build windows cross compiler.
  * Try reducing parallelism in rustbuild on arm64 to avoid OOM.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 08 Dec 2020 12:50:59 +1300

rustc (1.47.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Update to LLVM 11.
  * Ignore more tests on big-endian.

 -- Ximin Luo <infinity0@debian.org>  Sat, 07 Nov 2020 21:21:03 +0000

rustc (1.47.0~beta.2+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Sat, 05 Sep 2020 16:11:16 +0100

rustc (1.46.0+dfsg1+llvm-1ubuntu1) hirsute; urgency=medium

  * Merge 1.46.0 from Debian unstable. Remaining changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch
    - Add Build-Depends-Indep: libssl-dev
    - Revert workaround for upstream bug #74786
    - Disable wasm build as build dependencies not currently available in
      Ubuntu.
  * Do not build windows cross compiler.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sun, 06 Dec 2020 21:56:18 +1300

rustc (1.46.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Sat, 29 Aug 2020 16:54:36 +0100

rustc (1.46.0~beta.2+dfsg1-1~exp5) experimental; urgency=medium

  * Fix rust-gdb install path. (Closes: #968279)
  * Drop powerpc allowed-failures to 12. (Closes: #955774)
  * Update d-fix-mips64el-bootstrap.patch for newer LLVM.

 -- Ximin Luo <infinity0@debian.org>  Fri, 14 Aug 2020 23:45:25 +0100

rustc (1.46.0~beta.2+dfsg1-1~exp4) experimental; urgency=medium

  * Move cross-linker Depends to Recommends - for cross-compiling support
    libraries should never hard-depend on toolchains. This also allows us to
    add the usual M-A annotations for libraries.

 -- Ximin Luo <infinity0@debian.org>  Sun, 09 Aug 2020 18:16:16 +0100

rustc (1.46.0~beta.2+dfsg1-1~exp3) experimental; urgency=medium

  * Drop "-cross" suffix from libstd naming, after discussion with Helmut
    Grohne. Since libstd-rust-dev-wasm-cross is not yet in stable and only
    has 4 installed users, we do not retain a migration package. 

 -- Ximin Luo <infinity0@debian.org>  Sun, 09 Aug 2020 14:27:54 +0100

rustc (1.46.0~beta.2+dfsg1-1~exp2) experimental; urgency=medium

  * Add support for cross-compiling to windows. See README.Debian for details.
    Currently only 64-bit works, we are waiting on #540782 for 32-bit.

 -- Ximin Luo <infinity0@debian.org>  Sun, 09 Aug 2020 03:52:34 +0100

rustc (1.46.0~beta.2+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Fri, 07 Aug 2020 00:15:46 +0100

rustc (1.45.0+dfsg1+llvm-2ubuntu1) hirsute; urgency=medium

  * Merge 1.45.0 from Debian unstable. Remaining changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch
    - Add Build-Depends-Indep: libssl-dev
    - Revert workaround for upstream bug #74786
    - Disable wasm build as build dependencies not currently available in
      Ubuntu.
  * Dropped change, patches no longer apply and riscv64 build fails
    anyway:
    - riscv64 support patches which no longer completely work:
      - Add more rustc patches from Debian.
      - Apply relevant llvm-toolchain-9 patches to the embedded llvm.
      - Avoid the LDFLAGS -latomic hacks from llvm-toolchain-9:
        - debian/patches/riscv64-atomic-fixes.patch: Fix libatomic detection for
        riscv64.
        - debian/patches/dsymutil-atomic.patch: Link dsymutil with -latomic.
  * Dropped change, upstream now includes LLVM with the fix:
    - Backport patch fixing miscompliation and subsequent crash on s390x
      (adapted from https://src.fedoraproject.org/rpms/llvm/pull-request/49):
      - add debian/patches/0001-InstCombine-Fix-big-endian-miscompile-of-bitcast-zex.patch
      - update debian/patches/series

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 04 Dec 2020 11:20:49 +1300

rustc (1.45.0+dfsg1-2) unstable; urgency=medium

  * Add some more big-endian test patches.
  * Backport some patches to fix some testsuite ICEs.

 -- Ximin Luo <infinity0@debian.org>  Thu, 06 Aug 2020 21:11:39 +0100

rustc (1.45.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Ximin Luo <infinity0@debian.org>  Wed, 05 Aug 2020 21:41:39 +0100

rustc (1.45.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Mon, 27 Jul 2020 17:45:24 +0100

rustc (1.44.1+dfsg1+llvm-3ubuntu1) hirsute; urgency=medium

  * Merge 1.44.1 from Debian unstable. Remaining changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch
    - Add Build-Depends-Indep: libssl-dev
    - riscv64 support patches which no longer completely work:
      - Add more rustc patches from Debian.
      - Apply relevant llvm-toolchain-9 patches to the embedded llvm.
      - Avoid the LDFLAGS -latomic hacks from llvm-toolchain-9:
        - debian/patches/riscv64-atomic-fixes.patch: Fix libatomic detection for
        riscv64.
        - debian/patches/dsymutil-atomic.patch: Link dsymutil with -latomic.
    - Backport patch fixing miscompliation and subsequent crash on s390x
      (adapted from https://src.fedoraproject.org/rpms/llvm/pull-request/49):
      - add debian/patches/0001-InstCombine-Fix-big-endian-miscompile-of-bitcast-zex.patch
      - update debian/patches/series
  * Dropped change:
    - Disable check for ~exp in version number.
  * Revert workaround for upstream bug #74786
  * Disable wasm build as build dependencies not currently available in
    Ubuntu.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 03 Dec 2020 14:03:38 +1300

rustc (1.44.1+dfsg1-3) unstable; urgency=medium

  * Fix patch for line numbers on little-endian arches.

 -- Ximin Luo <infinity0@debian.org>  Tue, 28 Jul 2020 21:51:36 +0100

rustc (1.44.1+dfsg1-2) unstable; urgency=medium

  * Ignore tests that assume little-endian on big-endian arches.
    See upstream #74829 for details.

 -- Ximin Luo <infinity0@debian.org>  Tue, 28 Jul 2020 21:20:24 +0100

rustc (1.44.1+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.
  * Backport a typenum fix for i386.
  * Work around upstream #74786 involving debuginfo maps.

 -- Ximin Luo <infinity0@debian.org>  Mon, 27 Jul 2020 13:15:20 +0100

rustc (1.44.1+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Sat, 04 Jul 2020 18:04:42 +0100

rustc (1.43.0+dfsg1+llvm-1~exp1ubuntu3) UNRELEASED; urgency=medium

  * Relax rustc version constraint in Build-Depends to see if 1.41 can
    build 1.43 on riscv64.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 25 Jun 2020 09:50:02 +1200

rustc (1.43.0+dfsg1+llvm-1~exp1ubuntu2) groovy; urgency=medium

  * Fix mismerge preventing tests from running.
  * Backport patch fixing miscompliation and subsequent crash on s390x
    (adapted from https://src.fedoraproject.org/rpms/llvm/pull-request/49):
    - add debian/patches/0001-InstCombine-Fix-big-endian-miscompile-of-bitcast-zex.patch
    - update debian/patches/series

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 23 Jun 2020 19:35:09 +1200

rustc (1.43.0+dfsg1+llvm-1~exp1ubuntu1) groovy; urgency=medium

  * Merge from Debian NEW (LP: #1876942). Remaining changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch
    - Add Build-Depends-Indep: libssl-dev
    - riscv64 support patches which no longer completely work:
      - Add more rustc patches from Debian.
      - Apply relevant llvm-toolchain-9 patches to the embedded llvm.
      - Avoid the LDFLAGS -latomic hacks from llvm-toolchain-9:
        - debian/patches/riscv64-atomic-fixes.patch: Fix libatomic detection for
        riscv64.
        - debian/patches/dsymutil-atomic.patch: Link dsymutil with -latomic.
  * Disable check for ~exp in version number.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 28 May 2020 07:59:18 +1200

rustc (1.43.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.
  * Bump LLVM B-D version for some backported fixes affecting rustc.

 -- Ximin Luo <infinity0@debian.org>  Sun, 05 Jul 2020 15:06:52 +0100

rustc (1.43.0+dfsg1-1~exp1) experimental; urgency=medium

  * Drop sparc64 workaround. (Closes: #956413)
  * Drop stack-gap workaround for old kernels and rust versions.
  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Mon, 27 Apr 2020 13:09:20 +0100

rustc (1.42.0+dfsg1+llvm-1ubuntu2) groovy; urgency=medium

  * Re-add riscv64 support patches which where accidentally dropped in
    previous upload and no longer completely work:
    - Add more rustc patches from Debian.
    - Apply relevant llvm-toolchain-9 patches to the embedded llvm.
    - Avoid the LDFLAGS -latomic hacks from llvm-toolchain-9:
      - debian/patches/riscv64-atomic-fixes.patch: Fix libatomic detection for
        riscv64.
      - debian/patches/dsymutil-atomic.patch: Link dsymutil with -latomic.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 21 May 2020 08:04:00 +1200

rustc (1.42.0+dfsg1+llvm-1ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable (LP #1876942). Remaining changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch
    - Add Build-Depends-Indep: libssl-dev

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 18 May 2020 20:29:59 +1200

rustc (1.42.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Ximin Luo <infinity0@debian.org>  Fri, 10 Apr 2020 11:33:25 +0100

rustc (1.42.0+dfsg1-1~exp1) experimental; urgency=medium

  [ Fabian Grünbichler ]
  * Team upload.
  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Sat, 04 Apr 2020 16:06:03 +0100

rustc (1.41.1+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Ximin Luo <infinity0@debian.org>  Fri, 03 Apr 2020 23:41:11 +0100

rustc (1.41.1+dfsg1-1~exp1) experimental; urgency=medium

  [ Ximin Luo ]
  * More python 2 -> 3 fixes.
  * Enable the wasm32-wasi target for code that needs a "real" libstd.
  * Don't strip static rlibs. This sometimes breaks wasm, and more generally
    the stripped debuginfo is actually totally lost rather than being moved
    into the -dbgsym packages. Shared libraries are unaffected and work.
  * Allow 180 failing tests on riscv64, none were actually run last time.

  [ Fabian Grünbichler ]
  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Mon, 09 Mar 2020 00:31:34 +0000

rustc (1.41.0+dfsg1+llvm-0ubuntu2) focal; urgency=medium

  * Add riscv64 support:
    - Add more rustc patches from Debian.
    - Apply relevant llvm-toolchain-9 patches to the embedded llvm.
    - debian/patches/riscv64-vendor-cc.diff: Update one last rustc lp64 ABI
      reference to lp64d.
    - Avoid the LDFLAGS -latomic hacks from llvm-toolchain-9:
      - debian/patches/riscv64-atomic-fixes.patch: Fix libatomic detection for
        riscv64.
      - debian/patches/dsymutil-atomic.patch: Link dsymutil with -latomic.

 -- William Grant <wgrant@ubuntu.com>  Wed, 08 Apr 2020 10:18:39 +1000

rustc (1.41.0+dfsg1+llvm-0ubuntu1) focal; urgency=medium

  * New upstream version (LP: #1856851)
  * Cherry-pick several commits from
    https://salsa.debian.org/rust-team/rust/-/merge_requests/4,
    thanks Fabian Grünbichler:
    - convert orig Cargo.lock to v1 format
    - d/patches: update for 1.41.0 import
    - Update Files-Excluded for new upstream version 1.41.0
    - d/update-version.sh: fix python3 compat
    - drop patches which were applied upstream
    - rebase and update patches
    - don't attempt to install llvm codegen so
    - update d/copyright
    - update changelog and versions
      - (adjusted somewhat by me)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 02 Mar 2020 21:22:50 +0100

rustc (1.40.0+dfsg1+llvm-5ubuntu1) focal; urgency=medium

  * Merge from Debian unstable (LP #1856851). Remaining changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch
    - Add Build-Depends-Indep: libssl-dev
  * Dropped change, now fixed in Debian:
    - Run build scripts with Python 3.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sat, 29 Feb 2020 16:21:22 +0000

rustc (1.40.0+dfsg1-5) unstable; urgency=medium

  * More python 2 -> 3 fixes.
  * Allow 24 failing tests on riscv64.
  * Reenable debuginfo for rustc, not just libstd.
  * Reenable backtraces during tests.

 -- Ximin Luo <infinity0@debian.org>  Sun, 05 Jan 2020 13:35:46 +0000

rustc (1.40.0+dfsg1-4) unstable; urgency=medium

  * Experimental riscv64 support.

 -- Ximin Luo <infinity0@debian.org>  Sat, 04 Jan 2020 05:40:11 +0000

rustc (1.40.0+dfsg1-3) unstable; urgency=medium

  * Work around upstream #59264 again. :/

 -- Ximin Luo <infinity0@debian.org>  Fri, 03 Jan 2020 22:05:16 +0000

rustc (1.40.0+dfsg1-2) unstable; urgency=medium

  * Fix more internal build scripts so they use python3.
  * Don't add -L/usr/lib/llvm when cross-compiling. (Closes: #941783)

 -- Ximin Luo <infinity0@debian.org>  Fri, 03 Jan 2020 20:18:46 +0000

rustc (1.40.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.
  * Ignore new test failing on arm that also fails in previous versions.

 -- Ximin Luo <infinity0@debian.org>  Sun, 29 Dec 2019 22:17:04 +0000

rustc (1.40.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Wed, 25 Dec 2019 00:09:24 +0000

rustc (1.39.0+dfsg1+llvm-3ubuntu1) focal; urgency=medium

  * Merge from Debian unstable (LP #1856851). Remaining changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch
    - Add Build-Depends-Indep: libssl-dev
  * Run build scripts with Python 3.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 22 Jan 2020 20:21:38 +1300

rustc (1.39.0+dfsg1-4) unstable; urgency=medium

  * Update to LLVM 9. (Closes: #946886)

 -- Ximin Luo <infinity0@debian.org>  Mon, 23 Dec 2019 03:21:02 +0000

rustc (1.39.0+dfsg1-3) unstable; urgency=medium

  * Fix mips patch involving mxgot for new RUSTFLAGS behaviour.

 -- Ximin Luo <infinity0@debian.org>  Fri, 06 Dec 2019 22:18:53 +0000

rustc (1.39.0+dfsg1-2) unstable; urgency=medium

  * Include reproducibility patch for compiler-builtins.
  * Use python3 instead of python to run rustbuild. (Closes: #938422)
  * Expand d-ignore-error-detail-diff.patch for unfixed upstream #53081.

 -- Ximin Luo <infinity0@debian.org>  Thu, 05 Dec 2019 22:51:41 +0000

rustc (1.39.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Sat, 30 Nov 2019 22:20:48 +0000

rustc (1.38.0+dfsg1-2) unstable; urgency=medium

  * Fix building with rustc 1.38.0
  * Fix building with cargo 0.40.0

 -- Ximin Luo <infinity0@debian.org>  Fri, 29 Nov 2019 00:05:16 +0000

rustc (1.38.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Tue, 26 Nov 2019 14:41:46 +0000

rustc (1.38.0+dfsg0.2+llvm-0ubuntu2) focal; urgency=medium

  * d/patches/d-fix-1.38-self-bootstrap.patch: backport patch from upstream
    to allow warnings to not fail the build, which allows rustc 1.38 to be
    bootstrapped with itself.
    - adds d/patches/d-fix-1.38-self-bootstrap.patch
    - updates d/patches/series
    - updates debian/config.toml.in

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 29 Nov 2019 07:57:13 +1300

rustc (1.38.0+dfsg0.2+llvm-0ubuntu1) focal; urgency=medium

  * New upstream release.
  * Add Build-Depends-Indep: libssl-dev
  * Update Files-Excluded for new upstream version 1.38.0
  * d/patches/d-0004-mdbook-2-1-compat.patch: Removed.
  * Refresh other patches.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 13 Nov 2019 09:29:49 +1300

rustc (1.37.0+dfsg1+llvm-1ubuntu1) eoan; urgency=medium

  * Merge from Debian unstable (LP #1843765). Remaning changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch
  * Revert "Support cross-compiling to wasm32" as it breaks with the
    bundled snapshot of LLVM 9.
    - delete debian/libstd-rust-dev-wasm32-cross.lintian-overrides
    - delete debian/rustc.links
    - update debian/config.toml.in
    - update debian/control
    - update debian/rules

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 18 Sep 2019 14:31:31 +0200

rustc (1.37.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.
  * Fix a typo in debian/rules regex causing FTBFS on some arches.

 -- Ximin Luo <infinity0@debian.org>  Thu, 05 Sep 2019 00:06:23 -0700

rustc (1.37.0+dfsg1-1~exp2) experimental; urgency=medium

  * Support cross-compiling to wasm32. (Closes: #903110)
    To do that, install the libstd-rust-dev-wasm32-cross package and give
    --target wasm32-unknown-unknown.
  * Drop dependency on system compiler-rt, these new versions of rustc
    actually don't need it at all.

 -- Ximin Luo <infinity0@debian.org>  Thu, 29 Aug 2019 09:00:03 -0700

rustc (1.37.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Use system compiler-rt.

 -- Ximin Luo <infinity0@debian.org>  Sun, 25 Aug 2019 03:06:33 -0700

rustc (1.36.0+dfsg1+llvm-2ubuntu1) eoan; urgency=medium

  * Merge from Debian unstable. Remaning changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sat, 17 Aug 2019 13:58:25 +1200

rustc (1.36.0+dfsg1-2) unstable; urgency=medium

  * Set CARGO_HOME to debian/cargo_home (instead of $HOME/.cargo) as newer
    versions of cargo must take a file lock that has to exist.

 -- Ximin Luo <infinity0@debian.org>  Wed, 17 Jul 2019 18:25:06 -0700

rustc (1.36.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Ximin Luo <infinity0@debian.org>  Tue, 16 Jul 2019 20:27:55 -0700

rustc (1.36.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Sat, 13 Jul 2019 12:42:05 -0700

rustc (1.35.0+dfsg1-1) unstable; urgency=medium

  * Add entry in 1.34.2+dfsg1-1 to note that it uses LLVM 7.
  * Add entry in 1.35.0+dfsg1-1~exp2 to note that it uses LLVM 8.
  * Fix ICE on sparc64 by including upstream PR #61881.

 -- Ximin Luo <infinity0@debian.org>  Sat, 13 Jul 2019 10:30:35 -0700

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog rust-1.80-all`.
